=== debian/control ===
Source: ros-rolling-kortex-driver
Section: misc
Priority: optional
Maintainer: Alex Moriarty <alex.moriarty@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-hardware-interface, ros-rolling-kortex-api, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-kortex-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-hardware-interface, ros-rolling-kortex-api, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-ros-workspace
Description: ROS2 driver package for the Kinova Robot Hardware.
